function salMap = salSSD(imgPath)
ICAModel = load('codebook.mat');
load('filter.mat');
N=32;
numICA = 11;
numStage = 4;
inImg = imread(imgPath);

if size(inImg,3) == 1
    inImg = repmat(inImg,[1 1 3]);
end
[H,W,C] = size(inImg);

rawFea = extractRawFea(imresize(inImg,[N*8 N*8],'bilinear'),ICAModel);
salMap = zeros(N,N);
for f = 1:numICA
    oneMap = rawFea{f};
    for nStage = 1:numStage
        oneMap = applySalFilter(oneMap,filters{nStage,f});
    end
    oneMap = normalizeSalMap(oneMap.^2);
    salMap = salMap + oneMap;
end
salMap = normalizeSalMap(salMap);